Video Projects
Mark a Project Asset upload as started
POST
/video-projects/{id}/assets/{asset_id}/begin-uploadAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Video project ID
asset_id*string
Project Asset ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/video-projects/string/assets/string/begin-upload" \ -H "Content-Type: application/json" \ -d '{ "workspace_id": "string" }'{ "$schema": "https://example.com/api/v1/schemas/ProjectAssetResponse.json", "attention_reason": "string", "created_at": "string", "device_id": "string", "id": "string", "media_id": "string", "mime_type": "string", "original_filename": "string", "preparation": { "property1": null, "property2": null }, "project_id": "string", "required": true, "sha256": "string", "size": 0, "stable_media_id": "string", "status": "pending", "updated_at": "string", "uploaded_by_user_id": "string", "workspace_id": "string"}